Subject: [Json] [Errata Rejected] RFC7159 (3983)

From: RFC Errata System <[email-masked]>
Date: Fri, 16 May 2014 11:42:57 -0700 (PDT)

The following errata report has been rejected for RFC7159,
"The JavaScript Object Notation (JSON) Data Interchange Format".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7159&eid=3983

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Alain BENEDETTI <[email-masked]>
Date Reported: 2014-05-09
Rejected by: Pete Resnick (IESG)

Section: 2.

Original Text
-------------
JSON-text = ws value ws

Corrected Text
--------------
JSON-text = [BOM] ws value ws

BOM = %xFEFF

Notes
-----
Section 8.1 states:
[START QUOTE]
(...) implementations that parse JSON texts *MAY* ignore the presence of a byte order mark rather than treating it as an error.
[END QUOTE]

Indeed that means that a BOM *CAN* occur, and *MAY* be accepted instead of returning an error. So, if the BOM can be accepted, the grammar is incomplete as it does not show it.

Furthermore, about BOMs, see my other comments.
 --VERIFIER NOTES-- 
The WG was clear that syntactically, the BOM is not part of a valid JSON-text, but implementation advice included that if one appears, it MAY be ignored. The document is correct as-is.

--------------------------------------
RFC7159 (draft-ietf-json-rfc4627bis-rfc7159bis)
--------------------------------------
Title               : The JavaScript Object Notation (JSON) Data Interchange Format
Publication Date    : March 2014
Author(s)           : T. Bray, Ed.
Category            : PROPOSED STANDARD
Source              : JavaScript Object Notation
Area                : Applications
Stream              : IETF
Verifying Party     : IESG